QGIS Application - Bug report #14340
layer definition file load error
2016-02-20 12:35 AM - Norihito Takahashi

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Unknown

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22327
Description

| have an issue in load layer definition file .

When | create layer definition file as a new file, | can load it correctly.
But, When | create it as a overwrite file, | can't load it.

So, | have compare between new file and overwrite file. and | found difference in these files.
In new file, <datasource> was written by Absolute filePath.

In overwrite file, <datasource> was written by related filePath.

thank you.

Related issues:
Related to QGIS Application - Bug report # 13925: Qlr-file saves datasource p... Closed 2015-12-01

Associated revisions

Revision 9f7¢3294 - 2016-02-25 10:51 PM - Jiirgen Fischer

layer definition: always use relative paths regardless whether or not the file already exists (fixes #14340)

History

#1 - 2016-02-25 01:53 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"9f7c32944cf468f0da24f444c514fa90cf233841".

#2 - 2016-02-25 01:54 PM - Jiirgen Fischer
- Status changed from Closed to In Progress

The file references in the gr are relative to the position of the glr itself - with the change it doesn't matter anymore if the gIr already existed.

#3 - 2016-02-25 04:25 PM - Juirgen Fischer
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
#4 - 2016-02-28 11:56 PM - Norihito Takahashi

Thank you so much !

#5 - 2016-03-03 12:15 AM - Norihito Takahashi

- File error.png added

- Assignee set to Jirgen Fischer

- Target version set to Version 2.14

I use QGIS in japanese. and, | have occurred an issue at glr again...

| have created qlr in version Essen. but, it couldn't loaded correctly.
When | used in version Pisa, | could loaded grl correctly.

So, | have compared glr file created by Essen and created by Pisa.

| found difference that glr file created by Essen was encoded "shit-jis" and japanese characters were garbled.

qglr file created by Pisa was encoded "utf-8" and japanese characters were correctly.

(Iunderstood that file references are relative.)

#6 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
